Skip to content

Detach a contact from a group conversation

Request

You can remove participants who are contacts from a group conversation, on behalf of an admin.

Removing the last participant

You cannot remove the last remaining contact from a conversation.

Security
bearerAuth
Path
conversation_idstringrequired

The identifier for the conversation as given by Intercom.

Example:123
contact_idstringrequired

The identifier for the contact as given by Intercom.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.11"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.11
Bodyapplication/json
admin_idstringrequired

The id of the admin who is performing the action.

Example:"5017690"
curl -i -X DELETE \
  https://api.intercom.io/conversations/123/customers/123 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.11' \
  -d '{
    "admin_id": 991267639,
    "customer": {
      "intercom_user_id": "667d611c8a68186f43bafe11"
    }
  }'

Responses

Detach a contact from a group conversation

Bodyapplication/json
typestring

Always conversation.

Value:"conversation"
Example:"conversation"
idstringrequired

The id representing the conversation.

Example:"1295"
titlestring or nullrequired

The title given to the conversation.

Example:"Conversation Title"
created_atinteger, (date-time)required

The time the conversation was created.

Example:1663597223
updated_atinteger, (date-time)required

The last time the conversation was updated.

Example:1663597260
waiting_sinceinteger or null, (date-time)required

The last time a Contact responded to an Admin. In other words, the time a customer started waiting for a response. Set to null if last reply is from an Admin.

Example:1663597260
snoozed_untilinteger or null, (date-time)required

If set this is the time in the future when this conversation will be marked as open. i.e. it will be in a snoozed state until this time. i.e. it will be in a snoozed state until this time.

Example:1663597260
openbooleanrequired

Indicates whether a conversation is open (true) or closed (false).

Example:true
statestringrequired

Can be set to "open", "closed" or "snoozed".

Enum:"open""closed""snoozed"
Example:"open"
readbooleanrequired

Indicates whether a conversation has been read.

Example:true
prioritystring

If marked as priority, it will return priority or else not_priority.

Enum:"priority""not_priority"
Example:"priority"
admin_assignee_idinteger or nullrequired

The id of the admin assigned to the conversation. If it's not assigned to an admin it will return null.

Example:0
team_assignee_idinteger or nullrequired

The id of the team assigned to the conversation. If it's not assigned to a team it will return null.

Example:5017691
tagsobject(Tags)

A list of tags objects associated with a conversation

conversation_ratingobject(Conversation Rating)

The Conversation Rating object which contains information on the rating and/or remark added by a Contact and the Admin assigned to the conversation.

sourceobject(Conversation source)required

The type of the conversation part that started this conversation. Can be Contact, Admin, Campaign, Automated or Operator initiated.

contactsobject(Contacts)required

The list of contacts (users or leads) involved in this conversation. This will only contain one customer unless more were added via the group conversation feature.

teammatesobject(Conversation teammates)required

The list of teammates who participated in the conversation (wrote at least one conversation part).

custom_attributesobject(Custom Attributes)required

An object containing the different custom attributes associated to the conversation as key-value pairs. For relationship attributes the value will be a list of custom object instance models.

first_contact_replyobject(First contact reply)

An object containing information on the first users message. For a contact initiated message this will represent the users original message.

sla_appliedobject or null(Applied SLA)

The SLA Applied object contains the details for which SLA has been applied to this conversation. Important: if there are any canceled sla_events for the conversation - meaning an SLA has been manually removed from a conversation, the sla_status will always be returned as null.

A Statistics object containing all information required for reporting, with timestamps and calculated metrics.

conversation_partsobject(Conversation Parts)

A list of Conversation Part objects for each part message in the conversation. This is only returned when Retrieving a Conversation, and ignored when Listing all Conversations. There is a limit of 500 parts.

linked_objectsobject(Linked Objects)

An object containing metadata about linked conversations and linked tickets. Up to 1000 can be returned.

ai_agent_participatedboolean

Indicates whether the AI Agent participated in the conversation.

Example:true
ai_agentobject or null(AI Agent)

Data related to AI Agent involvement in the conversation.

Response
{ "customers": [ {} ] }